SUBDIRS = support analysis analysis/standard document index queryParser search store util

javac:
	mkdir -p "$(top_builddir)/build/tmp/java"
	$(JAVAC) -classpath $(top_builddir)/build/tmp/java -d $(top_builddir)/build/tmp/java `find . -name '*.java'`;

#  another way of doing it...
# javac: 
# 	list='$(SUBDIRS)'; for subdir in $$list; do \
# 	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) javac); \
# 	done
